epp_DomainUpdateChange (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.domain.epp_DomainUpdateChange class

### org.openrtk.idl.epp0402.domain

# Class epp_DomainUpdateChange

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.domain.epp_DomainUpdateChange`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainUpdateChange`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the domain object elements to be changed in the registry. This class can only be used when modifying a domain object. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/domain/epp_DomainUpdateChange.java,v 1.1 2003/03/21 16:35:42 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:35:42 $

See Also:
  `epp_DomainUpdateReq.setChange(epp_DomainUpdateChange)`

  ## Field Summary
  `epp_AuthInfo` | `m_auth_info` The authorization information to be associated with the domain object.
  `String` | `m_registrant` The registrant to be associated with the domain object.

  ## Constructor Summary
  `epp_DomainUpdateChange()` Empty constructor
  `epp_DomainUpdateChange(String _m_registrant, epp_AuthInfo _m_auth_info)` The constructor with initializing variables.

  ## Method Summary
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information to be associated with the domain object
  `String` | `getRegistrant()` Accessor method for the registrant to be associated with the domain object
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information to be associated with the domain object
  `void` | `setRegistrant(String value)` Accessor method for the registrant to be associated with the domain object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information to be associated with the domain object.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_registrant

    public String m_registrant

> The registrant to be associated with the domain object. The registrant object must exist in the registry
> See Also:
>   `setRegistrant(String)`, `getRegistrant()`

## Constructor Details

### epp_DomainUpdateChange

    public epp_DomainUpdateChange()

> Empty constructor

### epp_DomainUpdateChange

    public epp_DomainUpdateChange(String _m_registrant,
                                  epp_AuthInfo _m_auth_info)

> The constructor with initializing variables.
> Parameters:
>   `_m_registrant` - The registrant to be associated with the domain object
>   `_m_auth_info` - The authorization information to be associated with the domain object

## Method Details

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information to be associated with the domain object
> Returns:
>   The domain auth info
> See Also:
>   `m_auth_info`

### getRegistrant

    public String getRegistrant()

> Accessor method for the registrant to be associated with the domain object
> Returns:
>   The domain registrant
> See Also:
>   `m_registrant`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information to be associated with the domain object
> Parameters:
>   `value` - The domain auth info
> See Also:
>   `m_auth_info`

### setRegistrant

    public void setRegistrant(String value)

> Accessor method for the registrant to be associated with the domain object
> Parameters:
>   `value` - The domain registrant
> See Also:
>   `m_registrant`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS